Skip to main content
WEBHOOK
case-vouchers.create
{
  "event": "<string>",
  "time": "<string>",
  "data": {
    "caseVoucherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "CREDITOR",
    "currency": "DKK",
    "amount": 123,
    "date": "<string>",
    "dueDate": "<string>",
    "referenceId": "<string>",
    "id": 123,
    "voucherTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "text": "<string>",
    "cardType": "<string>",
    "paymentType": "BANK_TRANSFER",
    "paymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "appendix": {},
    "tags": "<array>",
    "createdAt": "<string>",
    "createdBy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "USER"
    },
    "transactionAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "referenceCaseVoucherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "details": {},
    "lineItems": "<array>",
    "state": "UNMAPPED",
    "category": "principal",
    "label": "<string>",
    "settings": "<string>",
    "settingDetails": {},
    "deletedAt": "<string>",
    "deletedBy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "USER"
    },
    "exported": true,
    "expirationDate": "<string>",
    "expired": true,
    "expirationManualSet": true,
    "expirationFromDate": "<string>",
    "irrecoverableDate": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.

Body

application/json

Webhook payload

event
string

Event "case-vouchers.create"

Example:

"case-vouchers.create"

time
string

Event dispatch time

Example:

"2025-01-01T20:00:00.000Z"

data
object

Data of the event

Example:
{
  "text": null,
  "cardType": null,
  "paymentType": null,
  "paymentMethodId": null,
  "appendix": null,
  "createdAt": "2025-01-01T20:00:00.000Z",
  "transactionAccountId": null,
  "transactionImportId": null,
  "tags": [],
  "referenceId": "123",
  "importId": null,
  "referenceCaseVoucherId": null,
  "interest": null,
  "createdBy": null,
  "interestStartDate": null,
  "interestEndDate": null,
  "lineItems": null,
  "state": "PARTIAL_PAYMENT",
  "id": 118067630,
  "category": "",
  "label": "",
  "setting": null,
  "settingDetails": null,
  "expired": false,
  "expirationDate": null,
  "expirationManualSet": false,
  "expirationFromDate": null,
  "irrecoverableDate": null,
  "deletedAt": null,
  "deletedBy": null,
  "exported": false
}